package tech.riemann.ims.dto.response;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author mayong
 * @since 2025/3/9 19:16
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ManualStockDTO {

    @Schema(description = "编码")
    private String code;

    @Schema(description = "名称" )
    private String name;
    
    @Schema(description = "类型")
    private String type;

    @TableField(exist = false)
    private String typeName;

    @Schema(description = "价格")
    private BigDecimal price;

    @Schema(description = "规格" )
    private String spec;

    @Schema(description = "申请id")
    private Long applyId;

    @Schema(description = "物料id")
    private Long materialId;

    @Schema(description = "库存数量")
    private Integer stock;

    @Schema(description = "手动核实库存数量")
    private Integer manualStock;

    @Schema(description = "异常原因")
    private String msg;
}
