package tech.riemann.ims.dto.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author mayong
 * @since 2024/12/8 19:08
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StockDetailInfo {

    @Schema(description = "物料名称")
    private Long materialId;

    @Schema(description = "物料编码")
    private String materialCode;

    @Schema(description = "物料名称")
    private String materialName;

    @Schema(description = "在存总数（物料表）")
    private Integer stockTotal;

    @Schema(description = "实际库存（明细数据中统计来的）")
    private Long stockReal;

    @Schema(description = "扫码数量")
    private Long stockTotalScan;
}
