package tech.riemann.ims.entity.dictionary;

import org.nutz.dao.entity.annotation.ColDefine;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.Comment;
import org.nutz.dao.entity.annotation.Table;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * 码本数据
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-07-22 13:56:55
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_dictionary")
@Table("t_dictionary")
@Comment("码本数据")
@Schema(name = "Dictionary", description = "码本数据")
public class Dictionary extends IdBaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "分组Key", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_group_key")
    @Column("d_group_key")
    @Comment("分组Key")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String groupKey;

    @Schema(description = "上级Key", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_parent_key")
    @Column("d_parent_key")
    @Comment("上级Key")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String parentKey;

    @Schema(description = "序号", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_index")
    @Column("d_index")
    @Comment("序号")
    @ColDefine(notNull = false, width = 19, precision = 0)
    private Long index;

    @Schema(description = "key", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_key")
    @Column("d_key")
    @Comment("key")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String key;

    @Schema(description = "value", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_value")
    @Column("d_value")
    @Comment("value")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String value;

    @Schema(description = "描述", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_description")
    @Column("d_description")
    @Comment("描述")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String description;

    @Schema(description = "禁用标识", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("d_disabled")
    @Column("d_disabled")
    @Comment("禁用标识")
    @ColDefine(notNull = false, width = 1, precision = 0)
    private Boolean disabled;
}
