package tech.riemann.ims.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.nutz.dao.entity.annotation.*;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * @author mayong
 * @since 2024/11/26 17:13
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_apply_detail")
@Table("t_apply_detail")
@Comment("申请单明细")
@Schema(name = "ApplyDetail", description = "申请单明细")
public class ApplyDetail extends IdBaseEntity {


    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "申请单ID", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("ad_apply_id")
    @Column("ad_apply_id")
    @Comment("申请单ID")
    @ColDefine(notNull = false)
    private Long applyId;

    @TableField(exist = false)
    private Boolean assignRule;

    @Schema(description = "物料Id", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("ad_material_id")
    @Column("ad_material_id")
    @Comment("物料Id")
    @ColDefine(notNull = false)
    private Long materialId;

    @Schema(description = "申请数量", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("ad_quantity")
    @Column("ad_quantity")
    @Comment("数量")
    @ColDefine(notNull = false, type = ColType.INT)
    private Integer quantity;

    @Schema(description = "确认数量", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("ad_confirm_quantity")
    @Column("ad_confirm_quantity")
    @Comment("确认数量")
    @ColDefine(notNull = false, type = ColType.INT)
    private Integer confirmQuantity;

    @Schema(description = "异常情况说明", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    @TableField("ad_exception_remark")
    @Column("ad_exception_remark")
    @Comment("异常情况说明")
    @ColDefine(notNull = false, width = 128, precision = 0)
    private String exceptionRemark;


}
