package tech.riemann.ims.service.acl.impl;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;
import tech.riemann.ims.entity.acl.UserPermission;
import tech.riemann.ims.mapper.acl.UserPermissionMapper;
import tech.riemann.ims.service.acl.IUserPermissionService;

/**
 * <p>
 * 用户权限 服务实现类
 * </p>
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-10 18:07:15
 */
@Service
@RequiredArgsConstructor
public class UserPermissionServiceImpl extends ServiceImpl<UserPermissionMapper, UserPermission> implements IUserPermissionService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<UserPermission> getEntityType() {
        return UserPermission.class;
    }
}
