package tech.riemann.ims.service.dictionary.impl;

import tech.riemann.ims.entity.dictionary.Group;
import tech.riemann.ims.mapper.dictionary.GroupMapper;
import tech.riemann.ims.service.dictionary.IGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 码本分组 服务实现类
 * </p>
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-14 15:42:31
 */
@Service
@RequiredArgsConstructor
public class GroupServiceImpl extends ServiceImpl<GroupMapper, Group> implements IGroupService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<Group> getEntityType() {
        return Group.class;
    }
}
